Zum Hauptinhalt springen
Document Operations

Update metadata value

<small>Requires an API token with the Document Manager role.</small>

PUT
/documents/{document}/metadata-values/{metadataValue}

Updates the value of a metadata field for a document.

Alternatively: if your use case involves updating multiple metadata fields, and you have all the new values available at once, the bulk update metadata values request is likely to be a better fit.

Value format

The content of the value parameter must follow the same rules as described in the Add metadata value to document documentation.

Authorizationstringheadererforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

documentstringerforderlich

The document UUID

metadataValuestringerforderlich

The metadata value UUID

Body

application/json
valueany[] | boolean | string | null

The new value for the field

Beispiel: EUR;95000;yearly

Antwort

application/json

MetadataValueResource

dataobjecterforderlich